OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PColStd

# PColStd_FieldOfHArray1OfInteger Class Reference

`#include <PColStd_FieldOfHArray1OfInteger.hxx>`

Inheritance diagram for PColStd_FieldOfHArray1OfInteger:

[legend]

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PColStd_FieldOfHArray1OfInteger ()
Standard_EXPORT | PColStd_FieldOfHArray1OfInteger (const Standard_Integer Size)
Standard_EXPORT | PColStd_FieldOfHArray1OfInteger (const PColStd_FieldOfHArray1OfInteger &Varray)
Standard_EXPORT void | Resize (const Standard_Integer Size)
Standard_EXPORT void | Assign (const PColStd_FieldOfHArray1OfInteger &Other)
void | operator= (const PColStd_FieldOfHArray1OfInteger &Other)
Standard_EXPORT void | SetValue (const Standard_Integer Index, const Standard_Integer &Value)
Standard_EXPORT Standard_Integer & | Value (const Standard_Integer Index) const
Standard_Integer & | operator() (const Standard_Integer Index) const
Standard_EXPORT void | Destroy ()
| ~PColStd_FieldOfHArray1OfInteger ()
## Friends
Standard_EXPORT friend Handle_Standard_Type & | PColStd_FieldOfHArray1OfInteger_Type_ ()

## Constructor & Destructor Documentation

Standard_EXPORT PColStd_FieldOfHArray1OfInteger::PColStd_FieldOfHArray1OfInteger | ( |  | ) |

Standard_EXPORT PColStd_FieldOfHArray1OfInteger::PColStd_FieldOfHArray1OfInteger | ( | const Standard_Integer | Size | ) |

Standard_EXPORT PColStd_FieldOfHArray1OfInteger::PColStd_FieldOfHArray1OfInteger | ( | const PColStd_FieldOfHArray1OfInteger & | Varray | ) |

PColStd_FieldOfHArray1OfInteger::~PColStd_FieldOfHArray1OfInteger | ( |  | ) | `[inline]`

## Member Function Documentation

Standard_EXPORT void PColStd_FieldOfHArray1OfInteger::Assign | ( | const PColStd_FieldOfHArray1OfInteger & | Other | ) |

Standard_EXPORT void PColStd_FieldOfHArray1OfInteger::Destroy | ( |  | ) |

| Reimplemented from DBC_BaseArray.

void PColStd_FieldOfHArray1OfInteger::operator delete | ( | void * | anAddress | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray1OfInteger::operator new | ( | size_t | size | ) | `[inline]`

| Reimplemented from DBC_BaseArray.

void* PColStd_FieldOfHArray1OfInteger::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

| Reimplemented from DBC_BaseArray.

Standard_Integer& PColStd_FieldOfHArray1OfInteger::operator() | ( | const Standard_Integer | Index | ) | const`[inline]`

void PColStd_FieldOfHArray1OfInteger::operator= | ( | const PColStd_FieldOfHArray1OfInteger & | Other | ) | `[inline]`

Standard_EXPORT void PColStd_FieldOfHArray1OfInteger::Resize | ( | const Standard_Integer | Size | ) |

Standard_EXPORT void PColStd_FieldOfHArray1OfInteger::SetValue | ( | const Standard_Integer | Index,
|  | const Standard_Integer & | Value
| ) |

Standard_EXPORT Standard_Integer& PColStd_FieldOfHArray1OfInteger::Value | ( | const Standard_Integer | Index | ) | const

## Friends And Related Function Documentation

Standard_EXPORT friend Handle_Standard_Type& PColStd_FieldOfHArray1OfInteger_Type_ | ( |  | ) | `[friend]`

The documentation for this class was generated from the following file:

- PColStd_FieldOfHArray1OfInteger.hxx